Last Comment Bug 309542 - Fix a11y problems and crop="right" is deprecated in page info dialog
: Fix a11y problems and crop="right" is deprecated in page info dialog
Status: RESOLVED FIXED
: fixed1.8
Product: SeaMonkey
Classification: Client Software
Component: Page Info (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Ian Neal
:
Mentors:
Depends on: 217611 286405 303097
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-21 14:50 PDT by Ian Neal
Modified: 2009-06-14 19:07 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
three-in-one patch v0.1 (18.53 KB, patch)
2005-09-21 14:56 PDT, Ian Neal
db48x: review+
neil: superreview+
Details | Diff | Splinter Review
Label and no crop patch v0.1a (19.04 KB, patch)
2005-09-30 16:38 PDT, Ian Neal
iann_bugzilla: review+
Details | Diff | Splinter Review
The one with the jar patch v0.1b (Checked in trunk and branch) (20.71 KB, patch)
2005-10-01 16:10 PDT, Ian Neal
iann_bugzilla: review+
neil: superreview+
mscott: approval1.8b5+
Details | Diff | Splinter Review

Description Ian Neal 2005-09-21 14:50:26 PDT
This bug tidies up after fix to ff bug 217611 also fixes the following:
Focus first selected tab and fix labels to point at readonly text fields
(equivalent of ff bug 303097) and in pageInfo.xul, a deprecated value for the
attribute crop is used.  Instead of "right", the value should be "end"
(equivalent of ff bug 286405)
Comment 1 Ian Neal 2005-09-21 14:56:41 PDT
Created attachment 196951 [details] [diff] [review]
three-in-one patch v0.1

This patch:
* Removes FF specific code from pki's PageInfoOverlay.xul which also removes
the need to preprocess that file
* Tweaks code in navigator.js and pageinfo.js so that the above file works with
them
* Changes crop="right" to crop="end" in pageinfo.xul
* Adds control attributes to relevant lines in pageinfo.xul
* Focuses on first selected tab
Comment 2 Jason Barnabe (np) 2005-09-21 15:12:48 PDT
In PageInfoOverlay.xul, you probably should change the variable "w" to be named
"doc" and the associated comments since it's always going to be a document now.
Comment 3 Ian Neal 2005-09-22 04:06:37 PDT
w is not just used for a document, can also be a contentwindow or a frame.
Comment 4 Daniel Brooks [:db48x] 2005-09-28 17:59:44 PDT
Comment on attachment 196951 [details] [diff] [review]
three-in-one patch v0.1

looks good, r=db48x
Comment 5 neil@parkwaycc.co.uk 2005-09-29 15:50:34 PDT
Comment on attachment 196951 [details] [diff] [review]
three-in-one patch v0.1

>+          w = window.arguments[0].doc;
> 
>           // We don't have separate info for a frame, return null until further notice
>           // (see bug 138479)
>           return null;
It hardly seems worth assigning to w in this case.

>-        <textbox class="header" readonly="true" crop="right" id="titletext"/>
>+        <textbox class="header" readonly="true" crop="end" id="titletext"/>
Nit: crop is meaningless on <textbox>es; they were probably converted from
<text>s or <labels>.

>-        <text id="metahead" class="header" value="&generalMeta;"/>
>+        <text id="metahead" control="metatree" class="header" value="&generalMeta;"/>
You can't put control= on <text>s, but these should probably be <label>s
anyway.

sr=me with these nits fixed.
Comment 6 Ian Neal 2005-09-30 16:38:30 PDT
Created attachment 198081 [details] [diff] [review]
Label and no crop patch v0.1a

Changes since v0.1:
* Added extra fix required for extension/p3p's pageInfoOverlay.js for new
argument arrangement for pageInfo.xul
* Removed unneeded crops from <textbox>es
* Changed <text> to <label> and tweaked css to indent labels as before.

Carrying forward r= and asking for confirming sr=
Comment 7 Ian Neal 2005-10-01 16:10:39 PDT
Created attachment 198172 [details] [diff] [review]
The one with the jar patch v0.1b (Checked in trunk and branch)

Changes since v0.1a:
* Added missing diff to jar.mn in security/manager/pki/resources (thanks for
spotting Neil)
Comment 8 Ian Neal 2005-10-01 17:10:40 PDT
Comment on attachment 198172 [details] [diff] [review]
The one with the jar patch v0.1b (Checked in trunk and branch)

Checking in
extensions/p3p/resources/content/pageInfoOverlay.js;
new revision: 1.5; previous revision: 1.4
security/manager/pki/resources/jar.mn;
new revision: 1.47; previous revision: 1.46
security/manager/pki/resources/content/PageInfoOverlay.xul;
new revision: 1.23; previous revision: 1.22
xpfe/browser/resources/content/navigator.js;
new revision: 1.580; previous revision: 1.579
xpfe/browser/resources/content/pageInfo.js;
new revision: 1.75; previous revision: 1.74
xpfe/browser/resources/content/pageInfo.xul;
new revision: 1.58; previous revision: 1.57
themes/classic/navigator/pageInfo.css;
new revision: 1.9; previous revision: 1.8
themes/modern/navigator/pageInfo.css;
new revision: 1.8; previous revision: 1.7
done
Comment 9 Ian Neal 2005-10-01 17:16:28 PDT
Comment on attachment 198172 [details] [diff] [review]
The one with the jar patch v0.1b (Checked in trunk and branch)

Requesting a= for simple, fairly low risk, suite version of FF patch that went
onto the branch
Comment 10 Scott MacGregor 2005-10-01 17:53:30 PDT
Comment on attachment 198172 [details] [diff] [review]
The one with the jar patch v0.1b (Checked in trunk and branch)

approving this suite only change but please land this ASAP, the approval could
be removed later on.
Comment 11 Ian Neal 2005-10-02 04:01:41 PDT
Comment on attachment 198172 [details] [diff] [review]
The one with the jar patch v0.1b (Checked in trunk and branch)

Checking in (branch)
extensions/p3p/resources/content/pageInfoOverlay.js;
new revision: 1.3.28.1; previous revision: 1.3
security/manager/pki/resources/jar.mn;
new revision: 1.45.4.2; previous revision: 1.45.4.1
security/manager/pki/resources/content/PageInfoOverlay.xul;
new revision: 1.20.20.3; previous revision: 1.20.20.2
xpfe/browser/resources/content/navigator.js;
new revision: 1.577.2.3; previous revision: 1.577.2.2
xpfe/browser/resources/content/pageInfo.js;
new revision: 1.73.2.2; previous revision: 1.73.2.1
xpfe/browser/resources/content/pageInfo.xul;
new revision: 1.57.4.1; previous revision: 1.57
themes/classic/navigator/pageInfo.css;
new revision: 1.8.18.1; previous revision: 1.8
themes/modern/navigator/pageInfo.css;
new revision: 1.7.18.1; previous revision: 1.7
done

Note You need to log in before you can comment on or make changes to this bug.